<%@ page language="java" import="java.util.*" pageEncoding="gbk"%>
<!DOCTYPE html>
<html>
<head lang="en">
	<meta http-equiv="Content-Type" content="text/html; charset=gbk" />
 	<%@include file="../../../../frame/assets/header-all.jsp"%>
	<style>
	.form-line .text-content{
		width:120px;
	}
	</style>
</head>
<body class="easyui-layout">
<form id="childform" class="easyui-form" data-options="novalidate:true">
	<input id="xh" type="hidden" />
	<div class="form-line clearfix" >
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>巡查评价星级：</span> 
			<input id="xcpjxj" class="easyui-combobox" data-options="valueField:'id', textField:'text',panelHeight:'auto'"  missingMessage="巡查评价星级必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>巡查评价内容：</span> 
			<input id="xcpjnr" class="easyui-textbox" data-options="required:false,validType:'length[0,128]'" missingMessage="巡查评价内容必填项" > 
		</div> 
	</div>
	<!--  <div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>巡检评价人：</span> 
			<input id="xcpjr" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="巡检评价人必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>巡检评价单位：</span> 
			<input id="xcpjdw" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="巡检评价单位必填项" > 
		</div> 
	</div> -->
	<!--<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>巡检评价时间：</span> 
			<input id="xcpjsj" class="easyui-textbox" data-options="required:false,validType:'length[0,19]'" missingMessage="巡检评价时间必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>创建人员：</span> 
			<input id="cjry" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="创建人员必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>创建日期：</span> 
			<input id="cjrq" class="easyui-textbox" data-options="required:false,validType:'length[0,19]'" missingMessage="创建日期必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>修改人员：</span> 
			<input id="xgry" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="修改人员必填项" > 
		</div> 
	</div> -->
	<!-- <div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>修改日期：</span> 
			<input id="xgrq" class="easyui-textbox" data-options="required:false,validType:'length[0,19]'" missingMessage="修改日期必填项" > 
		</div> 
		 
	</div> -->
	<!-- <div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>扩展1：</span> 
			<input id="kz1" class="easyui-textbox" data-options="required:false,validType:'length[0,64]'" missingMessage="扩展1必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>扩展2：</span> 
			<input id="kz2" class="easyui-textbox" data-options="required:false,validType:'length[0,64]'" missingMessage="扩展2必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>扩展3：</span> 
			<input id="kz3" class="easyui-textbox" data-options="required:false,validType:'length[0,64]'" missingMessage="扩展3必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>扩展4：</span> 
			<input id="kz4" class="easyui-textbox" data-options="required:false,validType:'length[0,64]'" missingMessage="扩展4必填项" > 
		</div> 
	</div> -->

	<div class="form-line hidden">
		 
	</div>
</form>
</body>
</html>
<script type="text/javascript">
var winId	= $.getUrlParam("winId");
var records = top.$("#"+winId).panel("options").data;
$(function(){
	//加载下拉选项
	setTimeout(loadValue,500);
});
function loadValue(){
	$('#xcpjxj').combobox({  
		url:'xtclAction!query_Xtcl.do?csdl=nhywXcdpjxj&page=1&rows=1000', 
		textField:"csmc",  
		valueField:"csdm",
		panelWidth:148,
		loadFilter:function(data){
			data.unshift({"csmc":"请选择","csdm":""});
			return data;
		}
	});
	if(records){
		console.log(records)
		$("#xh").val(records.xh);
		$("#xcpjxj").combobox("setValue",records.xcpjxj);
		$("#xcpjnr").textbox("setValue",records.xcpjnr);
		//$("#xcpjr").textbox("setValue",records.xcpjr);
		//$("#xcpjdw").textbox("setValue",records.xcpjdw);
		//$("#xcpjsj").textbox("setValue",records.xcpjsj);

	}
}
/*
var xx1 = $("#xx1").textbox("getValue");//文本
var xx2 = $("#xx2").combobox("getValue");//下拉
var xx3 = $("#xx3").datetimebox("getValue");//日期
var xx4 = $("#xx4").numberbox("getValue");//数字
$('#xx5').combobox({  
	url:'xtclAction!select_Xtcl.do?csdl=xx5&page=1&rows=1000', 
	textField:"csmc",  
	valueField:"csdm",
	panelWidth:148,
	loadFilter:function(data){
		//data.unshift({"csmc":"选择","csdm":""});
		return data;
	}
});
$("#xx6").textbox("setValue",records.xx6);
$("#xx7").combobox("setValue",records.xx7);
$("#xx8").combobox("setValue",records.xx8);
$("#xx9").datetimebox("setValue",$.getNowTime());
$("#xx10").datetimebox("setValue",$.getTodayStart('00:00:00',-3));//往前推3天  +'00:00:00'
$("#xx11").datetimebox("setValue",$.getTodayEnd());//当天 +'23:59:59'	
$("#xx12").datetimebox("setValue",$.getDateNumToStr(records.xx12));
$("#xx13").numberbox("setValue",records.xx13);
*/
</script>
